YACS 0.1.8-GCCcore-10.3.0

YACS was created as a lightweight library to define and manage system configurations, such as those commonly found in software designed for scientific experimentation. These "configurations" typically cover concepts like hyperparameters used in training a machine learning model or configurable model hyperparameters, such as the depth of a convolutional neural network.

Accessing YACS 0.1.8-GCCcore-10.3.0

To load the module for YACS 0.1.8-GCCcore-10.3.0 please use this command on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs):

module load YACS/0.1.8-GCCcore-10.3.0

BEAR Apps Version

2019b

More Information

For more information visit the YACS website.

Dependencies

This version of YACS has a direct dependency on: GCCcore/10.3.0 Python/3.9.5-GCCcore-10.3.0 PyYAML/5.4.1-GCCcore-10.3.0

Required By

This version of YACS is a direct dependent of: PyTorch-Geometric/2.0.4-foss-2021a-CUDA-11.3.1

Last modified on 23rd May 2022